Package com.arms.api.newsletter.controller

## Class NewsletterController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<Newsletter,​NewsletterDTO,​NewsletterEntity>
  - - com.arms.api.newsletter.controller.NewsletterController

-     @Controller
      @RestController
      @RequestMapping("/anonymous/cover/newsletter")
      public class NewsletterController
      extends TreeAbstractController<Newsletter,​NewsletterDTO,​NewsletterEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewsletterController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `addNewsletter​(NewsletterDTO newsletterDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `countNewsletters​(NewsletterDTO newsletterDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `getNewsletter​(java.lang.Long newsletterId)` |
    `org.springframework.http.ResponseEntity<?>` | `getNewsletters​(NewsletterDTO newsletterDTO, int pageIndex, int pageUnit)` |
    `org.springframework.http.ResponseEntity<?>` | `getPopularNewsletters​(NewsletterDTO newsletterDTO, int pageIndex, int pageUnit)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<?>` | `removeNewsletter​(java.lang.Long newsletterId)` |
    `org.springframework.http.ResponseEntity<?>` | `updateNewsletter​(NewsletterDTO newsletterDTO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewsletterController

          public NewsletterController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### addNewsletter

          @PostMapping("/addNewsletter")
          public org.springframework.http.ResponseEntity<?> addNewsletter​(@Validated(AddNode.class)
                                                                          NewsletterDTO newsletterDTO)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNewsletter

          @GetMapping("/getNewsletter/{newsletterId}")
          public org.springframework.http.ResponseEntity<?> getNewsletter​(@PathVariable("newsletterId")
                                                                          java.lang.Long newsletterId)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateNewsletter

          @PutMapping("/updateNewsletter")
          public org.springframework.http.ResponseEntity<?> updateNewsletter​(NewsletterDTO newsletterDTO)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeNewsletter

          @DeleteMapping("/removeNewsletter/{newsletterId}")
          public org.springframework.http.ResponseEntity<?> removeNewsletter​(@PathVariable("newsletterId")
                                                                             java.lang.Long newsletterId)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNewsletters

          @GetMapping("/getNewsletters")
          public org.springframework.http.ResponseEntity<?> getNewsletters​(NewsletterDTO newsletterDTO,
                                                                           @RequestParam
                                                                           int pageIndex,
                                                                           @RequestParam
                                                                           int pageUnit)
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPopularNewsletters

          @GetMapping("/getPopularNewsletters")
          public org.springframework.http.ResponseEntity<?> getPopularNewsletters​(NewsletterDTO newsletterDTO,
                                                                                  @RequestParam
                                                                                  int pageIndex,
                                                                                  @RequestParam
                                                                                  int pageUnit)
                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### countNewsletters

          @GetMapping("/countNewsletters")
          public org.springframework.http.ResponseEntity<?> countNewsletters​(NewsletterDTO newsletterDTO)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`